CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_identity_info_v AS 
 SELECT DISTINCT idmrpt_identity.identity_id,
    idmrpt_identity.job_title,
    idmrpt_identity.department,
    idmrpt_identity.department_number,
    idmrpt_identity.job_code,
    idmrpt_identity.workforce_id,
    idmrpt_identity.employee_status,
    idmrpt_identity.employee_type,
    idmrpt_identity.manager_workforce_id,
    idmrpt_identity.company,
    idmrpt_identity.location,
    idmrpt_identity.cost_center,
    idmrpt_identity.cost_center_description,
    idmrpt_identity.email_address,
    idmrpt_identity.office_phone,
    idmrpt_identity.office_number,
    idmrpt_identity.cell_phone,
    idmrpt_identity.private_phone,
    idmrpt_identity.fax_number,
    idmrpt_identity.im_id,
    idmrpt_identity.pager_number,
    idmrpt_identity.preferred_name,
    idmrpt_identity.preferred_language,
    idmrpt_identity.generational_qualifier,
    idmrpt_identity.prefix,
    idmrpt_identity.mailstop,
    idmrpt_identity.street_address,
    idmrpt_identity.city,
    idmrpt_identity.postal_code,
    idmrpt_identity.state,
    idmrpt_identity.country,
    idmrpt_identity.hire_date,
    idmrpt_identity.transfer_date,
    idmrpt_identity.termination_date,
    idmrpt_identity.first_working_day,
    idmrpt_identity.last_working_day,
    idmrpt_identity.identity_desc,
    idmrpt_identity.idmrpt_valid_from AS identity_valid_from,
    idmrpt_identity.idmrpt_valid_to AS identity_valid_to,
    'now'::text::date + 7305 + 'now'::text::time with time zone AS fake_future_date,
    idmrpt_identity.middle_initial,
    idmrpt_identity.first_name,
    idmrpt_identity.last_name,
    idmrpt_identity.photo,
    idmrpt_idv_acct.idmrpt_valid_from,
    idmrpt_idv_acct.idmrpt_valid_to,
    idmrpt_rpt_driver.idv_name,
    idmrpt_rpt_driver.idv_host,
    idmrpt_idv_acct.idv_acct_dn,
    idmrpt_idv_acct.idv_acct_status
   FROM idm_rpt_cfg.idmrpt_identity_cs_v idmrpt_identity
     LEFT JOIN idm_rpt_cfg.idmrpt_identity_cs_v idmrpt_identity_mgr ON idmrpt_identity_mgr.identity_id::text = idmrpt_identity.mgr_id::text
     LEFT JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v idmrpt_idv_acct ON idmrpt_identity.identity_id::text = idmrpt_idv_acct.identity_id::text AND idmrpt_idv_acct.idmrpt_deleted = false
     LEFT JOIN idm_rpt_cfg.idmrpt_idv_v idmrpt_idv ON idmrpt_idv_acct.idv_id::text = idmrpt_idv.idv_id::text
     LEFT JOIN idm_rpt_cfg.idmrpt_rpt_driver_v idmrpt_rpt_driver ON idmrpt_rpt_driver.idv_id::text = idmrpt_idv.idv_id::text AND
        CASE
            WHEN idmrpt_idv_acct.rpt_drv_id IS NOT NULL THEN idmrpt_rpt_driver.rpt_drv_id::text = idmrpt_idv_acct.rpt_drv_id::text
            ELSE NULL::boolean
        END;

ALTER TABLE idm_rpt_cfg.idmrpt_identity_info_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_identity_info_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_identity_info_v TO idmrptuser;
